Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.design
Class JRDesignGenericElementParameter

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseGenericElementParameter
          net.sf.jasperreports.engine.design.JRDesignGenericElementParameter

All Implemented Interfaces:
  java.io.Serializable, JRGenericElementParameter

    public class JRDesignGenericElementParameter

extends JRBaseGenericElementParameter

A implementation of `JRBaseGenericElementParameter` that is to be used at report design time.

Version:
  $Id: JRDesignGenericElementParameter.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROPERTY_NAME`
`static java.lang.String` | `PROPERTY_SKIP_WHEN_EMPTY`
`static java.lang.String` | `PROPERTY_VALUE_EXPRESSION`

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseGenericElementParameter
`name, skipWhenEmpty, valueExpression`

Constructor Summary
`JRDesignGenericElementParameter()`

Method Summary
`JRPropertyChangeSupport` | `getEventSupport()`
`void` | `setName(java.lang.String name)` Sets the parameter name.
`void` | `setSkipWhenEmpty(boolean skipWhenEmpty)` Sets the flag that determines whether the parameter is to be skipped when its value is `null`.
`void` | `setValueExpression(JRExpression valueExpression)` Sets the parameter's value expression.

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseGenericElementParameter
`getName, getValueExpression, isSkipWhenEmpty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_NAME

    public static final java.lang.String PROPERTY_NAME

See Also:
  Constant Field Values

### PROPERTY_VALUE_EXPRESSION

    public static final java.lang.String PROPERTY_VALUE_EXPRESSION

See Also:
  Constant Field Values

### PROPERTY_SKIP_WHEN_EMPTY

    public static final java.lang.String PROPERTY_SKIP_WHEN_EMPTY

See Also:
  Constant Field Values

Constructor Detail

### JRDesignGenericElementParameter

    public JRDesignGenericElementParameter()

Method Detail

### getEventSupport

    public JRPropertyChangeSupport getEventSupport()

### setName

    public void setName(java.lang.String name)

  Sets the parameter name.

  Parameters:
    `name` - the parameter name
  See Also:
    `JRBaseGenericElementParameter.getName()`

### setValueExpression

    public void setValueExpression(JRExpression valueExpression)

  Sets the parameter's value expression.

  Parameters:
    `valueExpression` - the value expression.
  See Also:
    `JRBaseGenericElementParameter.getValueExpression()`

### setSkipWhenEmpty

    public void setSkipWhenEmpty(boolean skipWhenEmpty)

  Sets the flag that determines whether the parameter is to be skipped when its value is `null`.

  Parameters:
    `skipWhenEmpty` - whether parameter with `null` ar to be skipped
  See Also:
    `JRBaseGenericElementParameter.isSkipWhenEmpty()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com